Package be.cin.mycarenet._1_0.carenet.types

# Class CareReceiverId

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.CareReceiverId

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class CareReceiverId extends Object implements Serializable

Java class for CareReceiverIdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverIdType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Inss" type="{urn:be:cin:mycarenet:1.0:carenet:types}InssType" minOccurs="0"/>
             <element name="RegNrWithMut" type="{urn:be:cin:mycarenet:1.0:carenet:types}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:cin:mycarenet:1.0:carenet:types}MutualityType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CareReceiverId()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInss()`
  The INSS number of the care receiver, optional when RegNrWithMut and Mutuality are provided.
  `String`
  `getMutuality()`
  The insurance organisation code (single character).
  `String`
  `getRegNrWithMut()`
  The registration number of the care receiver with the insurance organisation.
  `void`
  `setInss(String value)`
  Sets the value of the inss property.
  `void`
  `setMutuality(String value)`
  Sets the value of the mutuality property.
  `void`
  `setRegNrWithMut(String value)`
  Sets the value of the regNrWithMut property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CareReceiverId

    public CareReceiverId()

- ## Method Details

  - ### getInss

    public String getInss()
    The INSS number of the care receiver, optional when RegNrWithMut and Mutuality are provided. This is zone 300 in the flat file version.
    Returns:
      possible object is `String`

  - ### setInss

    public void setInss(String value)
    Sets the value of the inss property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInss()`

  - ### getRegNrWithMut

    public String getRegNrWithMut()
    The registration number of the care receiver with the insurance organisation. Optional if the INSS is provided. This is zone 302 in the flat file version.
    Returns:
      possible object is `String`

  - ### setRegNrWithMut

    public void setRegNrWithMut(String value)
    Sets the value of the regNrWithMut property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRegNrWithMut()`

  - ### getMutuality

    public String getMutuality()
    The insurance organisation code (single character). Optional if the INSS is provided. This is zone 301 in the flat file version.
    Returns:
      possible object is `String`

  - ### setMutuality

    public void setMutuality(String value)
    Sets the value of the mutuality property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMutuality()`